using System;
namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            string tempstr = Console.ReadLine();
            string[] a = new string[3];
            double[] b = new double[3];
            a = tempstr.Split(' ');
            for (int i = 0; i < a.Length; i++)
            {
                b[i] = (Convert.ToDouble(a[i]) / Math.Pow(10, a[i].Length - 1));
            }
            double tempb = 0;
            string tempa = "0";
            for (int write = 0; write < b.Length; write++)
            {
                for (int sort = 0; sort < b.Length - 1; sort++)
                {
                    if (b[sort] < b[sort + 1])
                    {
                        tempb = b[sort + 1];
                        tempa = a[sort + 1];
                        b[sort + 1] = b[sort];
                        a[sort + 1] = a[sort];
                        b[sort] = tempb ;
                        a[sort] = tempa;
                    }
                }
            }
            for (int i = 0; i < a.Length; i++)
                Console.Write(a[i]);
            Console.ReadKey();
        }
    }
}